Get all digital payment account assignments
get
/fscmRestApi/resources/11.13.18.05/paymentsExternalPayees/{PayeeId}/child/digitalPaymentAccountAssignments
Request
Path Parameters
-
PayeeId(required): integer(int64)
Application-generated identifier of the external payee.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey: Finds the digital payment account assignment that matches the specified primary key.
Finder Variables:- InstrumentAssignmentId; integer; Unique identifier of the instrument assignment.
- PrimaryKey: Finds the digital payment account assignment that matches the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccountUsageType; string; Purpose of the digital payment account.
- AliasFive; string; Additional alias used to represent the virtual card digital payment account.
- AliasFour; string; Additional alias used to represent the virtual card digital payment account.
- AliasOne; string; Alias used to represent the digital payment account.
- AliasThree; string; Additional alias used to represent the digital payment account.
- AliasTwo; string; Additional alias used to represent the digital payment account.
- AliasType; string; Type of alias used to represent the digital payment account.
- BankAccount; string; Bank account assigned to the digital payment account.
- CardPlatform; string; Name of the payment system used by the virtual card program.
- CountryCode; string; Country code of the digital payment account.
- CreatedBy; string; The user who created the digital payment account assignment.
- CreationDate; string; The date and time when the digital payment account assignment was created.
- CurrencyCode; string; Currency code of the digital payment account.
- DigitalAccountProviderStatus; string; Registration status of the provider for the digital payment account.
- DigitalPaymentAccount; string; Display name of the digital payment account.
- DigitalPaymentAccountId; integer; Unique identifier of the digital payment account.
- EndDate; string; The date when the relationship between the payment instrument and the payer or payee becomes inactive in the payment instrument assignment.
- ExpirationDate; string; The date when the digital payment account expires.
- InstrumentAssignmentId; integer; Unique identifier of the instrument assignment.
- InstrumentType; string; Type of payment instrument used in the instrument assignment.
- IssueDate; string; The date when the digital payment account was issued.
- LastUpdateDate; string; The date and time when the digital payment account assignment was last updated.
- LastUpdatedBy; string; The user who last updated the digital payment account assignment.
- OwnerParty; string; Party name of the digital payment account owner.
- OwnerPartyNumber; string; Party number of the digital payment account owner.
- PaymentFlow; string; Payment flow that determines whether the instrument assignment is used for outgoing or incoming payments.
- PaymentMode; string; Payment method used by the digital payment account.
- PrimaryFlag; boolean; Indicates whether the payment instrument is the primary payment instrument for the payer or payee within the instrument assignment. A primary payment instrument automatically populates the transactions.
- RemitAdviceIdentifierFive; string; Additional unique identifier for a separate remittance advice.
- RemitAdviceIdentifierFour; string; Additional unique identifier for separate remittance advice.
- RemitAdviceIdentifierOne; string; Remittance advice identifier used for separate remittance advice processing.
- RemitAdviceIdentifierThree; string; Additional unique identifier for a separate remittance advice.
- RemitAdviceIdentifierTwo; string; Additional remittance advice identifier used for separate remittance advice processing.
- RemitAdviceIdentifierType; string; Type of remittance advice identifier assigned to the digital payment account.
- StartDate; string; The date when the relationship between the payment instrument and the payer or payee becomes active in the payment instrument assignment.
- Token; string; Substitute identifier of the digital payment account.
- TokenType; string; Type of token assigned to the digital payment account.
- VirtualCardProgram; string; Virtual card program associated with the digital payment account.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : paymentsExternalPayees-digitalPaymentAccountAssignments
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : paymentsExternalPayees-digitalPaymentAccountAssignments-item-response
Type:
Show Source
object-
AccountUsageType: string
Title:
Account Usage TypeRead Only:trueMaximum Length:80Purpose of the digital payment account. -
AliasFive: string
Title:
AliasMaximum Length:150Additional alias used to represent the virtual card digital payment account. -
AliasFour: string
Title:
AliasMaximum Length:150Additional alias used to represent the virtual card digital payment account. -
AliasOne: string
Title:
AliasMaximum Length:150Alias used to represent the digital payment account. -
AliasThree: string
Title:
AliasMaximum Length:150Additional alias used to represent the digital payment account. -
AliasTwo: string
Title:
AliasMaximum Length:150Additional alias used to represent the digital payment account. -
AliasType: string
Title:
Alias TypeRead Only:trueMaximum Length:80Type of alias used to represent the digital payment account. -
BankAccount: string
Title:
Bank AccountMaximum Length:100Bank account assigned to the digital payment account. -
CardPlatform: string
Title:
Card PlatformRead Only:trueMaximum Length:80Name of the payment system used by the virtual card program. -
CountryCode: string
Title:
Country CodeMaximum Length:2Country code of the digital payment account. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the digital payment account assignment. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the digital payment account assignment was created. -
CurrencyCode: string
Title:
Currency CodeMaximum Length:15Currency code of the digital payment account. -
DigitalAccountProviderStatus: string
Title:
Registration StatusMaximum Length:80Registration status of the provider for the digital payment account. -
DigitalPaymentAccount: string
Title:
Display NameMaximum Length:150Display name of the digital payment account. -
DigitalPaymentAccountId: integer
Title:
Digital Payment Account IDUnique identifier of the digital payment account. -
EndDate: string
(date)
Title:
End DateThe date when the relationship between the payment instrument and the payer or payee becomes inactive in the payment instrument assignment. -
ExpirationDate: string
(date)
Title:
Inactive OnThe date when the digital payment account expires. -
InstrumentAssignmentId: integer
(int64)
Title:
Instrument Payment Use IDRead Only:trueUnique identifier of the instrument assignment. -
InstrumentType: string
Title:
Instrument TypeRead Only:trueMaximum Length:80Type of payment instrument used in the instrument assignment. -
IssueDate: string
(date)
Title:
Start DateRead Only:trueThe date when the digital payment account was issued. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the digital payment account assignment was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the digital payment account assignment. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OwnerParty: string
Title:
Owner Party NameRead Only:trueMaximum Length:360Party name of the digital payment account owner. -
OwnerPartyNumber: string
Title:
Owner Party NumberRead Only:trueMaximum Length:30Party number of the digital payment account owner. -
PaymentFlow: string
Title:
Payment FlowRead Only:trueMaximum Length:80Payment flow that determines whether the instrument assignment is used for outgoing or incoming payments. -
PaymentMode: string
Title:
Payment ModeRead Only:trueMaximum Length:80Payment method used by the digital payment account. -
PrimaryFlag: boolean
Title:
PrimaryMaximum Length:30Indicates whether the payment instrument is the primary payment instrument for the payer or payee within the instrument assignment. A primary payment instrument automatically populates the transactions. -
RemitAdviceIdentifierFive: string
Title:
Remit Advice IdentifierMaximum Length:150Additional unique identifier for a separate remittance advice. -
RemitAdviceIdentifierFour: string
Title:
Remit Advice IdentifierMaximum Length:150Additional unique identifier for separate remittance advice. -
RemitAdviceIdentifierOne: string
Title:
Remit Advice IdentifierMaximum Length:150Remittance advice identifier used for separate remittance advice processing. -
RemitAdviceIdentifierThree: string
Title:
Remit Advice IdentifierMaximum Length:150Additional unique identifier for a separate remittance advice. -
RemitAdviceIdentifierTwo: string
Title:
Remit Advice IdentifierMaximum Length:150Additional remittance advice identifier used for separate remittance advice processing. -
RemitAdviceIdentifierType: string
Title:
Remit Advice Identifier TypeRead Only:trueMaximum Length:80Type of remittance advice identifier assigned to the digital payment account. -
StartDate: string
(date)
Title:
Start DateThe date when the relationship between the payment instrument and the payer or payee becomes active in the payment instrument assignment. -
StraightThroughProcessingFlag: boolean
Title:
Straight Through ProcessingRead Only:trueMaximum Length:1Indicates whether straight through processing is enabled for the digital payment account. -
Token: string
Title:
TokenMaximum Length:150Substitute identifier of the digital payment account. -
TokenType: string
Title:
Token TypeRead Only:trueMaximum Length:80Type of token assigned to the digital payment account. -
VirtualCardProgram: string
Title:
Card ProgramMaximum Length:100Virtual card program associated with the digital payment account.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.